package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.TaskProgressLog;
import com.goafanti.order.bo.OutTaskProgressLog;

public interface TaskProgressLogMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaskProgressLog record);

    int insertSelective(TaskProgressLog record);

    TaskProgressLog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaskProgressLog record);

    int updateByPrimaryKey(TaskProgressLog record);

	List<OutTaskProgressLog> selectTaskProgressLog(Integer tid);
}